.\" Copyright (c) 1999 by Yoshishige ARAI All right reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 
.\" THIS SOFTWARE IS PROVIDED BY THE PROJECT AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE PROJECT OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\" $Id: xcardmon.man,v 1.4 1999/06/19 18:18:33 ryo2 Exp $
.\"
.Dd June 7, 1999
.Dt xcardmon 1
.Sh NAME
.Nm xcardmon
.Nd controls the power supply of PC-Card slots
.Sh SYNOPSIS
.Nm
.Op Fl s
.Op Fl n
.Op Fl always
.Op Fl f Ar config
.Op Fl ec Ar color
.Op Fl ac Ar color
.Op Fl hc Ar color
.Op Fl swc Ar color
.Op Fl pc Ar color
.Op Fl sc Ar color
.Sh DESCRIPTION
.Pa Xcardmon
allows you to control the power supply of PCMCIA card slots
on the X Window System.
At the initial stage of execution,
.Nm
reads the file
.Ar /usr/local/lib/xpccard/config
that defines the PC-card names alias same as xpccard uses,
examine the PC-card name and switch the power state of those.
.Pp
Each row of the window shows each slot state.
At the left of the window is a slot number.  By clicking on it and/or typing
.Dq 0
or
.Dq 1
, the slot power will be switched on or off.
Clicking device name button shows the I/O ports and flags.
 switches its' slot power on or off.
Typing
.Dq q
or mouse button 3 exits the program.
.Pp
In addition the the usual X Toolkit options,
.Pa xcardmon
understands these command line options:
.Bl -tag -width Fl
.It Fl s
specify sensitive device button that will be inactive when the power is off.
.It Fl n
execute by small size without card name label.
.It Fl always
specify to show card name even if its' power altered off.
.It Fl f Ar conig
specify an alternate config file to read.  The default
is
.Dq /usr/local/lib/xpccard/config .
.It Fl ec Ar COLOR
specify an empty state background
.Ar color .
.It Fl ac Ar COLOR
specify an active state background
.Ar color .
.It Fl hc Ar COLOR
specify an hibernate state background
.Ar color .
.It Fl swc Ar COLOR
specify an slot number button background
.Ar color .
.It Fl pc Ar COLOR
specify an power state background
.Ar color .
.It Fl sc Ar COLOR
specify an safe state background
.Ar color .
.El
.Sh RESOURCES
.Pa Xcardmon
has a few top-level application resources that allow
customizations that are specific to
.Ar xcardmon .
.Db 1
.Bl -tag -width -item
.It function Ms arg1 arg2
is a test of groff macros.
.It "dummyFile " (class Cm dummy )
See the
.Fl f
option.
.It "configFile " (class Cm ConfigFile )
See the
.Fl f
option.
.Db 0
.It "emptyColor " (class Cm EmptyColor )
See the
.Fl ec
option.
.It "activeColor " (class Cm ActiveColor )
See the
.Fl ac
option.
.It "hibernateColor " (class Cm HibernateColor )
See the
.Fl hc
option.
.It "switchColor " (class Cm SwitchColor )
See the
.Fl swc
option.
.It "powerColor " (class Cm PowerColor )
See the
.Fl pc
option.
.It "safeColor " (class Cm SafeColor )
See the
.Fl sc
option.
.El
.Sh "WIDGET HIERARCHY"
Knowing the name and position in the hierarchy of each widget is
useful when specifying resources for them.  In the chart below, the
class and name of each widget is given.
.Pp
.nf
Xcardmon \fIxcardmon\fP
	Form flame
		Box box0
			Toggle \fIP0\fP
			MenuButton \fID0\fP
				SimpleMenu \fID0\fP
					SmeBSB \fILI0\fP
			Label \fIL0\fP
		Box box1
				.
				.
				.
.fi
.Sh FILES
.I /usr/\^local/\^lib/\^xpccard/config
PC-Card names and aliases. See config file distributed with xpccard command.
.Sh BUGS
Report bugs to the author.
.Sh AUTHOR
.An Yoshishige Arai <ryo2@jp.freebsd.org>
